<?php

class VerticalTabSet extends CompositeField
{
			
	private $openTab = null;
	
	public function FieldHolder()
	{
		$ret = "";
		foreach($this->children as $tab) {
			if($this->openTab && $tab->getLabel() == $this->openTab)
				$tab->setOpen(true);
			$ret .= $tab->FieldHolder();
		}
		return $ret;
	}
	
	public function collateDataFields(&$list, $saveableOnly = false) {
		foreach($this->children as $child)
			$child->collateDataFields(&$list, $saveableOnly);
	}	
	
	public function setOpenTab($tabName)
	{
		$this->openTab = $tabName;
	}	
	
}


?>